<!DOCTYPE html>
<html lang="en" ng-app="spseApp">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Penawaran Peserta">
    <title>Penawaran Peserta</title>
    <link rel="stylesheet" href="#{assets '/angular/bootstrap.min.css'/}" type="text/css" media="screen" />
	<link rel="stylesheet" href="#{assets '/angular/handsontable.min.css'/}" type="text/css">
	<link rel="stylesheet" href="#{assets '/angular/style.css'/}" type="text/css"/>
  </head>
  <body>
	
    <div class="navbar navbar-default fixed-top" role="navigation" ng-controller="UserCtrl">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
            <span class="sr-only">&{'penawaran.toggle_navigation'}</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="#">&{'penawaran.apendo'}</a>
        </div>
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav navbar-right">
            <li><a id="user" href="#" ng-bind="user.name" data-container=".navbar-fixed-top" data-toggle="popover" data-placement="bottom"></a></li>
            <li><a href="" ng-click="logout()">&{'penawaran.keluar'}</a></li>
          </ul>
        </div>
      </div>
    </div>

    <div class="container">
      <div id="tasks" class="" ng-controller="ProgressCtrl" ng-cloak>
        <!-- progress bars -->
        <div class="alert alert-info" ng-show="progresses.length > 0">
        <p ng-repeat="progress in progresses"><span ng-bind="progress.envelope | envelopeName"></span><span ng-bind="progress.percent|percentName" ng-hide="progress.done"></span> <span class="badge  badge-info" ng-show="progress.done">Selesai</span>
        </p>
        </div>
        <div id="actions" class="pull-right" ng-controller="ActionsCtrl">
          <button ng-show="ready && !uploading" class="btn btn-default" ng-click="upload()">&{'penawaran.unggah'}</button>
          <button ng-show="uploading" class="btn btn-default" disabled >&{'penawaran.mengunggah'}...</button>
        </div>
      </div>

      <ul id="tabs" class="nav nav-tabs" ng-controller="NavTabsCtrl" ng-cloak>
        <li>
          <a href="#info" data-toggle="tab" data-index="0" ng-click="tabChanged(0)">&{'penawaran.admin'}</a>
        </li>
        <li>
          <a href="#technical" data-toggle="tab" data-index="1" ng-click="tabChanged(1)">&{'penawaran.teknis'}</a>
        </li>
        <li>
          <a href="#pricing" data-toggle="tab" data-index="2" ng-click="tabChanged(2)">&{'penawaran.harga'}</a>
        </li>
      </ul>

      <div class="tab-content">
        <!-- first tab, bidding information + offer period -->
        <div class="tab-pane" id="info" ng-controller="InfoCtrl">
          <br />
          <table class="table table-sm">
            <thead>
              <th> </th>
              <th> </th>
            </thead>
            <tbody>
              <tr><td width="200"><b>&{'penawaran.kode_tender'}</b></td><td ng-bind="info.id"></td></tr>
              <tr><td><b>&{'penawaran.nama_paket'}</b></td><td ng-bind="info.name"></td></tr>
              <tr><td><b>&{'penawaran.instansi'}</b></td><td ng-bind="info.organization"></td></tr>
              <tr><td><b>&{'penawaran.nilai_hps'}</b></td><td ng-bind="info.hps | currency:'Rp. '"></td></tr>
              <tr><td><b>LPSE</b></td><td ng-bind="info.lpse"></td></tr> 
              <tr>
                <td><b>Masa Berlaku Penawaran</b></td>
                <td>
                  <div class="input-group input-group-sm" style="width: 200px;">
                    <input type="text" class="form-control" ng-model="info.period" placeholder="30" style="text-align: right;">
                    <span class="input-group-btn">
                      <a class="btn btn-default">&{'penawaran.hari_kalender'}</a>
                      <button class="btn btn-default" ng-disabled="!dirty" ng-click="save()">&{'penawaran.btn_simpan'}</button>
                    </span>
                  </div>
                </td>
              </tr>
            </tbody>
          </table>
        </div>

        <!-- second tab, technical docs submission -->
        <div class="tab-pane" id="technical" ng-controller="RequirementCtrl">
          <br />         
          <p class="text-right" ng-show="encrypted && !encrypting"><small>&{'penawaran.terakhir_dienkripsi'}: </small><b><a href="" ng-click="open(encrypted.dir)"><small ng-bind="encrypted.date"></small></a></b></p>
          <div id="actions" class="pull-right" ng-cloak>
            <button ng-show="dirty && !filled && !uploading" class="btn btn-default" ng-click="save()">&{'penawaran.btn_simpan'}</button>
            <button ng-show="dirty && filled && !uploading" class="btn btn-default" ng-click="save(true)">&{'penawaran.simpan_enkripsi'}</button>
            <span ng-show="encrypting">&{'penawaran.melakukan_enkripsi'}...</span>
          </div>

          <table class="table table-sm">
            <thead>
              <th>#</th>
              <th>&{'penawaran.nama'}</th>
              <th>&{'penawaran.berkas'}</th>
              <th>&{'penawaran.aksi'}</th>
            </thead>
            <tbody>
              #{list items:checklists, as:'item'}
               <tr>
                <td>${item_index}</td>
                <td class="requirement-name">${item?.checklist_master?.ckm_nama}</td>
                <td>
                  <span ng-hide="files_${item_index}.length > 0">&{'penawaran.belum_ada_berkas'}</span>
                  <ol>
                    <li ng-repeat="file in files_${item_index} track by $index"><a href="" ng-click="open(file.name)" ng-bind="file.name"></a>
                     <button class="btn btn-default btn-xs" ng-click="remove($index, ${item_index})">&{'penawaran.hapus'}</button>
                    </li>
                  </ol>
                </td>
                <td><a class="btn btn-default spse-form" ng-click="select(${item_index})"> &{'penawaran.pilih'}</a></td>
               </tr>
              #{/list}
            </tbody>
          </table>               
        </div> 

        <!-- third tab, pricing form-->
        <div class="tab-pane" id="pricing" ng-controller="PricingCtrl">
          <br />
          <p class="text-right" ng-show="encrypted && !encrypting"><small>&{'penawaran.terkahir_enkripsi'}: </small><b><a href="" ng-click="open(encrypted.dir)"><small ng-bind="encrypted.date"></small></a></b></p>
          <div id="actions" class="float-right" ng-cloak>
            <!--button ng-show="dirty && !filled" class="btn btn-default" ng-click="save()">Simpan</button-->
            <button ng-show="dirty && !uploading" class="btn btn-default" ng-click="save(true)">&{'penawaran.simpan_enkripsi'}</button>
            <span ng-show="encrypting">&{'penawaran.melakukan_enkripsi'}...</span>
          </div>

          <table class="table table-sm">
            <thead> </thead>
            <tbody></tbody>
          </table>

          <div id="pricing-detail"></div>
           <br />
            <div id="pricing-summary" class="panel panel-default">
            <form class="form-horizontal" role="form">
              <div class="form-group row">
                <label class="col-sm-2 control-label">&{'penawaran.jumlah'}</label>
                <p class="col-sm-3 form-control-static" ng-bind="subtotal | currency:'Rp. '" style="text-align: right;">
                </p>
              </div>
              <div class="form-group row">
                <label class="col-sm-2 col-form-label">PPN 10%</label>
                <p class="col-sm-3 form-control-static" ng-bind="ppn | currency:'Rp. '" style="text-align: right;">
                </p>
              </div>
              <div class="form-group row">
                <label class="col-sm-2 control-label">&{'penawaran.total_nilai'}</label>
                <p class="col-sm-3 form-control-static" ng-bind="total | currency:'Rp. '" style="text-align: right;">
                </p>
              </div>
            </form>
            </div>
          </div>
      </div> <!-- tab content -->
    </div>

    <!-- deps -->
    <script type="text/javascript" src="#{assets '/angular/jquery.min.js'/}"></script>
    <script type="text/javascript" src="#{assets '/angular/bootstrap.min.js'/}"></script>
    <script type="text/javascript" src="#{assets '/angular/hansontable.min.js'/}"></script>
    <script type="text/javascript" src="#{assets '/angular/angular.min.js'/}"></script>
    <script type="text/javascript" src="#{assets '/angular/safe-apply.js'/}"></script>
    <script type="text/javascript">
      // user rendered by server
       // user rendered by server
      var user = {
        token : "${access_token}", // rendered by server or by host
        id: "${peserta.psr_id}",
        name : "${peserta?.rekanan?.rkn_nama}",
        username : "${peserta?.rekanan?.rkn_namauser}",
        address : "${peserta?.rekanan?.rkn_alamat}",
        phone : "${peserta?.rekanan?.rkn_telepon}",
        email : "${peserta?.rekanan?.rkn_email}",
        role : "vendor"
       }
      
      // info rendered by server
      var info = {
        id : "${lelang?.lls_id}",
        name : "${lelang?.paket?.pkt_nama}",
        lpse : "${namaLpse}" ,
        organization : "${lelang?.paket?.satuan_kerja?.instansi?.nama}",
        hps : "${lelang?.paket?.pkt_hps}",
        period : 45,
        keypairs : [{public : "${key?.public_key}"}],
        pricings :[
        	{
                "name": "Jenis Barang 1",
                "unit1": "Unit 1",
                "volume1": 20,
                "unit2": "Unit 2",
                "volume2": 30,
                "price": 1000,
                "remark": "Keterangan",
                "id": "igstraiqkt9"
       		 }
        ],
        technicals:[
            #{set count:checklists.size() /}
			#{list items:checklists, as:'item'}
            {id: "${item?.chk_id}", name:"${item?.checklist_master?.ckm_nama}"}
            #{if count > item_index} , #{/if}
            #{/list}
         ]
      }

      var token = '${access_token}';
      var uploadUrl = '${uploadUrl}';
      var pricingData = info.pricings;
    </script>	
    <script type="text/javascript" src="#{assets '/angular/app.vendor.js'/}"></script>
  </body>
</html>